API ReferenceUser
Retrieve users list
GET
Retrieve users list
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30pagination?booleanEnable or disable pagination
search?stringisUsingMobile?booleanhasRole[]?stringhasRoleSet[]?stringjobPosition?stringjobPosition[]?array<string>contractorId?stringcontractorId[]?array<string>id[]?array<string>userDepartments.department?stringuserDepartments.department[]?array<string>exists[userDepartments]?booleanisExternal?booleancanLogIn?booleanexcludeIds[]?array<string>excludeDepartmentIds[]?array<string>userDepartmentLeaderOrder[departmentId]?stringValue in
"asc""desc"order[lastName]?stringDefault
"asc"Value in
"asc""desc"order[firstName]?stringDefault
"asc"Value in
"asc""desc"order[createdAt]?stringDefault
"asc"Value in
"asc""desc"order[updatedAt]?stringDefault
"asc"Value in
"asc""desc"exists[ssoProvider]?booleanUser exists[ssoProvider]
ssoProviderIds?array<>User ssoProviderIds
User collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/user/users'Example Response
[ { "twoFactorAuth": true, "ssoProviders": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenantId": "string", "tenantName": "string", "type": "microsoft", "isUserLinked": true } ], "tasksPerWorkday": 0, "tasksPerWorkDay": 0, "id": "string", "firstName": "string", "lastName": "string", "email": "string", "jobPosition": "string", "jobPositionName": "string", "contractorName": "string", "contractorId": "string", "pictureSm": "string", "pictureLg": "string", "phoneNumber": "string", "canLogIn": true, "allowApiTokenAuthentication": true, "isExternal": true, "canManage": true, "isUsingMobile": true, "lastActivity": "string", "lastActivityMobile": "string", "shortCode": "string", "hoursPerWorkDay": 0, "userDepartments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "isLeader": true, "department": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ] }]